Bug 1111206 - [HHH-9252] Error executing batch should abort rest of batch
Summary: [HHH-9252] Error executing batch should abort rest of batch
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Hibernate   
(Show other bugs)
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER9
: EAP 6.3.0
Assignee: Gail Badner
QA Contact: Martin Simka
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On: 1113435 1111725
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-19 13:12 UTC by Martin Simka
Modified: 2014-08-06 14:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In some cases, if a failure occurred while executing a batch, the batch was not aborted and batch resources were not released.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 14:34:37 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Martin Simka 2014-06-19 13:12:43 UTC
*Description of problem:
https://hibernate.atlassian.net/browse/HHH-7689
HHH-7689 Error executing batch should abort rest of batch for "cleanliness" sake

It impacts application that is used in EAP performance testing. 

*Version-Release number of selected component (if applicable):
EAP 6.3.0.ER7
Hibernate 4.2.13

*Hibernate JIRA
https://hibernate.atlassian.net/browse/HHH-9252

Comment 2 Gail Badner 2014-06-20 21:20:58 UTC
I backported HHH-9252 to 4.2.

Comment 3 Jeremy Whiting 2014-06-25 10:18:14 UTC
 I have tested this fix using a data loading application with PostgreSQL database. It is working now.

Comment 4 Kabir Khan 2014-06-27 09:53:29 UTC
Fixed by upgrade https://bugzilla.redhat.com/show_bug.cgi?id=1111725

Comment 5 Martin Simka 2014-07-08 08:23:19 UTC
verified on EAP 6.3.0.ER9


Note You need to log in before you can comment on or make changes to this bug.